Bug 3348 - GNOME theme-selector-capplet Core Dumps After Choosing Custom Font
GNOME theme-selector-capplet Core Dumps After Choosing Custom Font
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
6.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-08 17:38 EDT by orsingerc
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-29 10:29:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description orsingerc 1999-06-08 17:38:18 EDT
Ran the theme-selector-capplet using the control-center
program (IOW, the normal way). Chose "custom font" option,
and set the font to a larger pitch size. After doing this,
the capplet generates a .gtkrc file and exits. Trying to run
the capplet again afterward causes the capplet to core dump
without displaying an information in the control-center
window. Removing the .gtkrc file allows the capplet to run
again.

If you set the "Metric" radio buttons in the "Pick A Font"
window to "pixels" rather than "points", the capplet works
properly. Below is a copy of one of the .gtkrc files created
by the capplet in "points mode", which caused the capplet to
core dump subsequently.

The bug here is that the capplet creates a .gtkrc file that
causes the capplet to core dump on subsequent runs.


# -- THEME AUTO-WRITTEN DO NOT EDIT
include "/usr/share/themes/Default/gtk/gtkrc"

style "user-font"
{
font="-adobe-helvetica-medium-r-normal-*-*-140-*-*-p-*-iso859-1"
}

widget_class "*" style "user-font"

include "~/.gtkrc.mine"

# -- THEME AUTO-WRITTEN DO NOT EDIT
Comment 1 orsingerc 1999-06-08 17:40:59 EDT
Couldn't edit the .gtkrc file properly. the end of the string is
actually:

iso8859-1

rather than

iso859-1
Comment 2 Jay Turner 1999-06-29 10:29:59 EDT
Try upgrading to the latest GNOME packages available from the updates
site and then reopen this bug if you are still having problems.

Note You need to log in before you can comment on or make changes to this bug.